diff -Nurd libxml2-2.6.22-orig/doc/Makefile.am libxml2-2.6.22/doc/Makefile.am
--- libxml2-2.6.22-orig/doc/Makefile.am	2005-09-12 11:17:59.000000000 +0200
+++ libxml2-2.6.22/doc/Makefile.am	2006-03-21 21:38:37.000000000 +0100
@@ -106,7 +106,7 @@
 
 install-data-local: 
 	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)
-	-@INSTALL@ -m 0644 $(srcdir)/xml.html $(srcdir)/encoding.html $(srcdir)/FAQ.html $(srcdir)/structure.gif $(srcdir)/DOM.gif $(srcdir)/smallfootonly.gif $(srcdir)/redhat.gif $(srcdir)/libxml.gif $(srcdir)/w3c.png $(srcdir)/Libxml2-Logo-180x168.gif $(srcdir)/Libxml2-Logo-90x34.gif $(DESTDIR)$(HTML_DIR)
+	-@INSTALL@ -m 0644 $(srcdir)/*.html $(srcdir)/*.gif $(srcdir)/*.png $(srcdir)/libxml2-api.xml $(DESTDIR)$(HTML_DIR)
 	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)/html
 	-@INSTALL@ -m 0644 $(srcdir)/html/*.html $(DESTDIR)$(HTML_DIR)/html
 	-@INSTALL@ -m 0644 $(srcdir)/html/*.png $(DESTDIR)$(HTML_DIR)/html
diff -Nurd -x'*~' libxml2-2.6.24.orig/doc/Makefile.in libxml2-2.6.24/doc/Makefile.in
--- libxml2-2.6.24.orig/doc/Makefile.in	2006-04-28 12:32:49.000000000 -0400
+++ libxml2-2.6.24/doc/Makefile.in	2006-05-03 12:20:18.000000000 -0400
@@ -739,7 +739,7 @@
 
 install-data-local: 
 	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)
-	-@INSTALL@ -m 0644 $(srcdir)/xml.html $(srcdir)/encoding.html $(srcdir)/FAQ.html $(srcdir)/structure.gif $(srcdir)/DOM.gif $(srcdir)/smallfootonly.gif $(srcdir)/redhat.gif $(srcdir)/libxml.gif $(srcdir)/w3c.png $(srcdir)/Libxml2-Logo-180x168.gif $(srcdir)/Libxml2-Logo-90x34.gif $(DESTDIR)$(HTML_DIR)
+	-@INSTALL@ -m 0644 $(srcdir)/*.html $(srcdir)/*.gif $(srcdir)/*.png $(srcdir)/libxml2-api.xml $(DESTDIR)$(HTML_DIR)
 	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)/html
 	-@INSTALL@ -m 0644 $(srcdir)/html/*.html $(DESTDIR)$(HTML_DIR)/html
 	-@INSTALL@ -m 0644 $(srcdir)/html/*.png $(DESTDIR)$(HTML_DIR)/html
diff -Nurd libxml2-2.6.22-orig/doc/examples/Makefile.am libxml2-2.6.22/doc/examples/Makefile.am
--- libxml2-2.6.22-orig/doc/examples/Makefile.am	2006-01-05 14:46:06.000000000 +0100
+++ libxml2-2.6.22/doc/examples/Makefile.am	2006-03-21 13:48:28.000000000 +0100
@@ -3,6 +3,8 @@
 DEPS = $(top_builddir)/libxml2.la
 LDADDS = @STATIC_BINARIES@ $(top_builddir)/libxml2.la @THREAD_LIBS@ @Z_LIBS@ $(ICONV_LIBS) -lm @WIN32_EXTRA_LIBADD@
 
+all: rebuild
+
 rebuild: examples.xml index.html
 
 examples.xml: index.py *.c
@@ -12,8 +14,8 @@
 	-@(xsltproc examples.xsl examples.xml && echo "Rebuilt web page" && xmllint --valid --noout index.html)
 
 install-data-local: 
-	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)
-	-@INSTALL@ -m 0644 $(srcdir)/*.html $(srcdir)/*.c $(srcdir)/*.xml $(srcdir)/*.xsl $(srcdir)/*.res $(DESTDIR)$(HTML_DIR)
+	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)/examples
+	-@INSTALL@ -m 0644 $(srcdir)/*.html $(srcdir)/*.c $(srcdir)/*.xml $(srcdir)/*.xsl $(srcdir)/*.res $(DESTDIR)$(HTML_DIR)/examples
 
 EXTRA_DIST=examples.xsl index.py examples.xml test1.xml test2.xml test3.xml tst.xml writer.xml io1.res io2.res reader1.res reader3.res reader4.res tree1.res tree2.res xpath1.res xpath2.res 
 
diff -Nurd -x'*~' libxml2-2.6.24.orig/doc/examples/Makefile.in libxml2-2.6.24/doc/examples/Makefile.in
--- libxml2-2.6.24.orig/doc/examples/Makefile.in	2006-04-28 12:32:49.000000000 -0400
+++ libxml2-2.6.24/doc/examples/Makefile.in	2006-05-03 12:22:55.000000000 -0400
@@ -690,6 +690,8 @@
 	tags uninstall uninstall-am uninstall-info-am
 
 
+all: rebuild
+
 rebuild: examples.xml index.html
 
 examples.xml: index.py *.c
@@ -699,8 +701,8 @@
 	-@(xsltproc examples.xsl examples.xml && echo "Rebuilt web page" && xmllint --valid --noout index.html)
 
 install-data-local: 
-	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)
-	-@INSTALL@ -m 0644 $(srcdir)/*.html $(srcdir)/*.c $(srcdir)/*.xml $(srcdir)/*.xsl $(srcdir)/*.res $(DESTDIR)$(HTML_DIR)
+	$(mkinstalldirs) $(DESTDIR)$(HTML_DIR)/examples
+	-@INSTALL@ -m 0644 $(srcdir)/*.html $(srcdir)/*.c $(srcdir)/*.xml $(srcdir)/*.xsl $(srcdir)/*.res $(DESTDIR)$(HTML_DIR)/examples
 
 valgrind: 
 	$(MAKE) CHECKER='valgrind' tests
diff -Nurd -x'*~' libxml2-2.6.24.orig/ltmain.sh libxml2-2.6.24/ltmain.sh
--- libxml2-2.6.24.orig/ltmain.sh	2006-02-11 19:50:49.000000000 -0500
+++ libxml2-2.6.24/ltmain.sh	2006-05-03 12:20:18.000000000 -0400
@@ -2542,7 +2542,7 @@
 	   { test "$use_static_libs" = no || test -z "$old_library"; }; then
 	  if test "$installed" = no; then
 	    notinst_deplibs="$notinst_deplibs $lib"
-	    need_relink=yes
+	    need_relink=no
 	  fi
 	  # This is a shared library
 
diff -Nurd -x'*~' libxml2-2.6.22.orig/update-sgml-catalog libxml2-2.6.22/update-sgml-catalog
--- libxml2-2.6.22.orig/update-sgml-catalog	1969-12-31 19:00:00.000000000 -0500
+++ libxml2-2.6.22/update-sgml-catalog	2005-10-26 01:32:14.000000000 -0400
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+#
+# update-sgml-catalog
+# see DescPackaging field of libxml2 .info file for usage.
+#
+
+CATALOG=@PREFIX@/etc/sgml/catalog
+CATALOG_D=@PREFIX@/etc/sgml/catalog.d
+
+mkdir -p ${CATALOG_D}
+
+TMPFILE=`tempfile`
+
+if [ "`echo ${CATALOG_D}/*`" != "${CATALOG_D}/*" ]; then
+  cat ${CATALOG_D}/* | sed 's/#.*$//g' | {
+    while read cat; do
+      if [ -z "${cat}" ]; then
+        continue
+      fi
+      echo CATALOG ${cat} >>${TMPFILE}
+    done
+  }
+fi
+
+mv -f ${TMPFILE} ${CATALOG}
+chmod 0644 ${CATALOG}
+
+exit 0
diff -Nurd -x'*~' libxml2-2.6.22.orig/update-xml-catalog libxml2-2.6.22/update-xml-catalog
--- libxml2-2.6.22.orig/update-xml-catalog	1969-12-31 19:00:00.000000000 -0500
+++ libxml2-2.6.22/update-xml-catalog	2005-10-26 01:32:14.000000000 -0400
@@ -0,0 +1,29 @@
+#!/bin/sh -e
+#
+# update-xml-catalog
+# see DescPackaging field of libxml2 .info file for usage.
+#
+
+CATALOG=@PREFIX@/etc/xml/catalog
+CATALOG_D=@PREFIX@/etc/xml/catalog.d
+
+mkdir -p ${CATALOG_D}
+
+TMPFILE=`tempfile`
+xmlcatalog --create >>${TMPFILE}
+
+if [ "`echo ${CATALOG_D}/*`" != "${CATALOG_D}/*" ]; then
+  cat ${CATALOG_D}/* | sed 's/#.*$//g' | {
+    while read type orig replace; do
+      if [ -z "${type}" -o -z "${orig}" -o -z "${replace}" ]; then
+        continue
+      fi
+      eval xmlcatalog --noout --add ${type} ${orig} ${replace} ${TMPFILE}
+    done
+  }
+fi
+
+mv -f ${TMPFILE} ${CATALOG}
+chmod 0644 ${CATALOG}
+
+exit 0
